.header {
  position: fixed;
  z-index: 5;
  left: 0;
  width: 100%;
  top: 0;
  transition:
    background-color 0.2s,
    border-color 0.2s,
    color 0.2s;
  border-bottom: 1px solid var(--color-white-20);
  color: var(--color-white);
  font-size: clamp(0.938rem, 0.305vw + 0.828rem, 1.125rem);
}
.header a {
  text-decoration: none;
  color: var(--color-white);
}
body.-fixed:not(.-mobile-nav-open) .header {
  background-color: var(--color-white);
  border-color: var(--color-black-10);
  color: var(--color-black);
}
body.-fixed.-mobile-nav-open .header {
  background-color: var(--color-black);
}
body.-fixed:not(.-mobile-nav-open) .header a {
  color: var(--color-black);
}

.header-flex {
  display: flex;
  height: var(--header-height);
  gap: 0 90px;
}

.header__logo {
  flex-shrink: 0;
  position: relative;
}
.header__logo img {
  transition: opacity 0.2s;
}
.header__logo img:nth-child(2) {
  opacity: 0;
  position: absolute;
  left: 0;
  top: 0;
}
body.-fixed:not(.-mobile-nav-open) .header__logo img:nth-child(1) {
  opacity: 0;
}
body.-fixed:not(.-mobile-nav-open) .header__logo img:nth-child(2) {
  opacity: 1;
}

.header__location {
  font-size: 13px;
  line-height: 1;
  text-transform: uppercase;
  gap: 0 8px;
}
.header__location svg {
  opacity: 0.35;
}

.header__nav {
  gap: 0 56px;
  font-size: clamp(0.938rem, 0.305vw + 0.828rem, 1.125rem);
  margin-left: auto;
}
.header__nav a {
  text-decoration: none;
}
body.-notouch .header__nav a:hover {
  color: var(--color-white-60);
}
body.-fixed.-notouch:not(.-mobile-nav-open) .header__nav a:hover {
  color: var(--color-black-60);
}

.header__btn .btn {
  min-width: 195px;
  min-height: 48px;
  font-size: clamp(1rem, 0.102vw + 0.963rem, 1.063rem);
  white-space: nowrap;
  padding-inline: 16px;
}

.header__burger {
  border: 0;
  background: transparent;
  line-height: 1;
  padding: 0;
  margin: 0;
  font-size: 0;
  width: 40px;
  height: 40px;
}
.header__burger .icon-close {
  display: none;
}
body.-mobile-nav-open .header__burger .icon-burger {
  display: none;
}
body.-mobile-nav-open .header__burger .icon-close {
  display: inline;
}

.header-mobile {
  position: absolute;
  left: 0px;
  top: 0;
  width: 100%;
  height: 100dvh;
  background: var(--color-black);
  z-index: -1;
  padding-top: var(--header-height);
  padding-bottom: 40px;
  opacity: 0;
  visibility: hidden;
  transition:
    opacity 0.15s,
    visibility 0.15s;
  overflow: auto;
}
.header-mobile::before {
  border-top: 1px solid var(--color-white-20);
  content: "";
  display: block;
}
.header-mobile__nav {
  font-size: 32px;
  font-family: "Tilda", sans-serif;
  padding-top: 28px;
  padding-bottom: 32px;
}
.header-mobile__nav a {
  width: 100%;
  border-bottom: 2px solid var(--color-white-10);
  padding-block: 16px;
}
.header-mobile__nav a:last-child {
  border: 0;
}

@media (max-width: 1629px) and (min-width: 992px) {
  .header-flex {
    gap: 0 56px;
  }
  .header > .container {
    max-width: 100%;
  }
}
@media (max-width: 1399px) {
  .header-flex {
    gap: 0 32px;
  }
  .header__nav {
    gap: 0 32px;
  }
}
@media (max-width: 1199px) {
}
@media (max-width: 991px) {
  .header__logo img {
    width: 152px;
    height: 43px;
  }
  body.-mobile-nav-open .header-mobile {
    opacity: 1;
    visibility: visible;
  }
  .header__btn {
    margin-bottom: 24px;
  }
  .header__btn .btn {
    width: 100%;
  }
}
@media (max-height: 600px) {
  .header-mobile__nav {
    font-size: 24px;
  }
  .header-mobile__nav a {
    padding-block: 12px;
  }
}
